package com.qmth.distributed.print.business.bean.dto.obe;

import com.qmth.distributed.print.business.entity.ObeCourseRequirementMatrix;

import java.util.List;

public class CourseRequirementMatrixDto extends ObeCourseRequirementMatrix {

    private String courseCode;
    private String courseName;
    private int courseSortNum;
    private int requirementSortNum;
    private int subRequirementSortNum;
    private String requirementContent;
    // 是否可编辑
    private Boolean canEdit;
    private List<MatrixRequirementDto> requirements;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public int getCourseSortNum() {
        return courseSortNum;
    }

    public void setCourseSortNum(int courseSortNum) {
        this.courseSortNum = courseSortNum;
    }

    public int getRequirementSortNum() {
        return requirementSortNum;
    }

    public void setRequirementSortNum(int requirementSortNum) {
        this.requirementSortNum = requirementSortNum;
    }

    public int getSubRequirementSortNum() {
        return subRequirementSortNum;
    }

    public void setSubRequirementSortNum(int subRequirementSortNum) {
        this.subRequirementSortNum = subRequirementSortNum;
    }

    public List<MatrixRequirementDto> getRequirements() {
        return requirements;
    }

    public void setRequirements(List<MatrixRequirementDto> requirements) {
        this.requirements = requirements;
    }

    public Boolean getCanEdit() {
        return canEdit;
    }

    public void setCanEdit(Boolean canEdit) {
        this.canEdit = canEdit;
    }

    public String getRequirementContent() {
        return requirementContent;
    }

    public void setRequirementContent(String requirementContent) {
        this.requirementContent = requirementContent;
    }

}
